|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDBusSignature Class Reference
[QtDBus module]

The QDBusSignature class enables the programmer to identify the `SIGNATURE` type provided by the D-BUS typesystem. More...

     #include <QDBusSignature>

Inherits QString (private).

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QDBusSignature ()
- QDBusSignature ( const char * signature )
- QDBusSignature ( const QLatin1String & signature )
- QDBusSignature ( const QString & signature )
- void setSignature ( const QString & signature )
- QString signature () const
- QDBusSignature & operator= ( const QDBusSignature & signature )

- 185 public functions inherited from QString

### Additional Inherited Members

- 22 static public members inherited from QString

## Detailed Description

The QDBusSignature class enables the programmer to identify the `SIGNATURE` type provided by the D-BUS typesystem.

See also The QtDBus type system.

## Member Function Documentation

### QDBusSignature::QDBusSignature ()

Constructs a new signature.

See also setSignature().

### QDBusSignature::QDBusSignature ( const char * signature )

Constructs a new signature from the given signature.

### QDBusSignature::QDBusSignature ( const QLatin1String & signature )

Constructs a new signature from the given signature.

### QDBusSignature::QDBusSignature ( const QString & signature )

Constructs a new signature from the given signature.

### void QDBusSignature::setSignature ( const QString & signature )

Assigns the value of the given signature to this signature.

See also signature().

### QString QDBusSignature::signature () const

Returns this signature.

See also setSignature().

### QDBusSignature & QDBusSignature::operator= ( const QDBusSignature & signature )